<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.change.tracking.web.internal.servlet.taglib.ChangeTrackingIndicatorDynamicInclude" configuration-pid="com.liferay.change.tracking.web.internal.configuration.CTConfiguration">
  <service>
    <provide interface="com.liferay.portal.kernel.servlet.taglib.DynamicInclude"/>
  </service>
  <reference name="_ctCollectionLocalService" interface="com.liferay.change.tracking.service.CTCollectionLocalService" field="_ctCollectionLocalService"/>
  <reference name="_ctPreferencesLocalService" interface="com.liferay.change.tracking.service.CTPreferencesLocalService" field="_ctPreferencesLocalService"/>
  <reference name="_ctSettingsConfigurationHelper" interface="com.liferay.change.tracking.web.internal.configuration.helper.CTSettingsConfigurationHelper" field="_ctSettingsConfigurationHelper"/>
  <reference name="_html" interface="com.liferay.portal.kernel.util.Html" field="_html"/>
  <reference name="_language" interface="com.liferay.portal.kernel.language.Language" field="_language"/>
  <reference name="_npmResolver" interface="com.liferay.frontend.js.loader.modules.extender.npm.NPMResolver" field="_npmResolver"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_portletPermission" interface="com.liferay.portal.kernel.service.permission.PortletPermission" field="_portletPermission"/>
  <reference name="_reactRenderer" interface="com.liferay.portal.template.react.renderer.ReactRenderer" field="_reactRenderer"/>
  <reference name="_servletContext" interface="javax.servlet.ServletContext" target="(osgi.web.symbolicname=com.liferay.change.tracking.web)" field="_servletContext"/>
  <implementation class="com.liferay.change.tracking.web.internal.servlet.taglib.ChangeTrackingIndicatorDynamicInclude"/>
</scr:component>
